# Inventory service
The inventory service provides functionality to manage business inventory.
In this case the inventory is taking care of wine bottles.
The following section describe high-level functionality and necessary information to run the service.
More info can be found in openapi specification.

<hr />

## Responsibilities
**From customer perspective:**
1. List all wines
2. Show details about wine
3. Create order
4. Add wine to existing order
5. Accept payment 
   1. will trigger change in available/sold bottles

**From manager perspective:**
1. Edit wine details
2. Show orders
3. Add bottles to the inventory

## How to run
1. `mvn clean install`
2. run `Main`

<hr />


### How this service was created
Added module to the root repo in IDEA.

### How to generate openapi specification
https://www.baeldung.com/java-openapi-generator-server



## To Do
- [ ] Tests - follow up
- [ ] All functionality - follow up
- [ ] Add openapi specification - finish in follow up
- [ ] remove wine dto - follow up
- [ ] add all stuff to specification - follow up