package cz.fi.muni;

import cz.fi.muni.production.api.RecipeApiController;
import cz.fi.muni.production.api.RecipeApiDelegate;
import cz.fi.muni.production.model.*;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.NativeWebRequest;

import java.util.List;
import java.util.Optional;

@Component
public class RecipeController implements RecipeApiDelegate {
    @Override
    public Optional<NativeWebRequest> getRequest() {
        return RecipeApiDelegate.super.getRequest();
    }

    @Override
    public ResponseEntity<RecipeResponse> addRecipe(NewRecipe newRecipe) {
        return RecipeApiDelegate.super.addRecipe(newRecipe);
    }

    @Override
    public ResponseEntity<List<Recipe>> getAllRecipes() {
        return RecipeApiDelegate.super.getAllRecipes();
    }

    @Override
    public ResponseEntity<GetRecipe> getRecipe(Integer id) {
        return RecipeApiDelegate.super.getRecipe(id);
    }

    @Override
    public ResponseEntity<EditRecipe> updateRecipe(Integer id) {
        return RecipeApiDelegate.super.updateRecipe(id);
    }
}
