package cz.fi.muni;

import cz.fi.muni.production.api.IngredientApiDelegate;
import cz.fi.muni.production.model.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.NativeWebRequest;

import java.util.List;
import java.util.Optional;

@Component
public class IngredientController implements IngredientApiDelegate {
    private static final Logger log = LoggerFactory.getLogger(IngredientController.class);


    @Override
    public Optional<NativeWebRequest> getRequest() {
        return IngredientApiDelegate.super.getRequest();
    }

    @Override
    public ResponseEntity<IngredientResponse> addIngredient(NewIngredient newIngredient) {
        return IngredientApiDelegate.super.addIngredient(newIngredient);
    }

    @Override
    public ResponseEntity<DeleteIngredient> deleteIngredient(Integer id) {
        return IngredientApiDelegate.super.deleteIngredient(id);
    }

    @Override
    public ResponseEntity<List<Ingredients>> getAllIngredients() {
        return IngredientApiDelegate.super.getAllIngredients();
    }

    @Override
    public ResponseEntity<GetIngredient> getIngredient(Integer id) {
        return IngredientApiDelegate.super.getIngredient(id);
    }

    @Override
    public ResponseEntity<EditIngredient> updateIngredient(Integer id) {
        return IngredientApiDelegate.super.updateIngredient(id);
    }
}
